Package org.optaplanner.core.impl.partitionedsearch.scope

## Class PartitionedSearchStepScope<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.phase.scope.AbstractStepScope<Solution_>
  - - org.optaplanner.core.impl.partitionedsearch.scope.PartitionedSearchStepScope<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation

      public class PartitionedSearchStepScope<Solution_>
      extends AbstractStepScope<Solution_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.phase.scope.AbstractStepScope

      `bestScoreImproved, clonedSolution, score, stepIndex`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PartitionedSearchStepScope​(PartitionedSearchPhaseScope<Solution_> phaseScope)` |
    `PartitionedSearchStepScope​(PartitionedSearchPhaseScope<Solution_> phaseScope, int stepIndex)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PartitionedSearchPhaseScope<Solution_>` | `getPhaseScope()` |
    `PartitionChangeMove<Solution_>` | `getStep()` |
    `String` | `getStepString()` |
    `void` | `setStep​(PartitionChangeMove<Solution_> step)` |
    `void` | `setStepString​(String stepString)` |

    - ### Methods inherited from class org.optaplanner.core.impl.phase.scope.AbstractStepScope

      `createOrGetClonedSolution, getBestScoreImproved, getClonedSolution, getScore, getScoreDirector, getStepIndex, getWorkingRandom, getWorkingSolution, setBestScoreImproved, setClonedSolution, setScore, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PartitionedSearchStepScope

          public PartitionedSearchStepScope​(PartitionedSearchPhaseScope<Solution_> phaseScope)

    - #### PartitionedSearchStepScope

          public PartitionedSearchStepScope​(PartitionedSearchPhaseScope<Solution_> phaseScope,
                                            int stepIndex)

  - ### Method Detail

    - #### getPhaseScope

          public PartitionedSearchPhaseScope<Solution_> getPhaseScope()

      Specified by:
        `getPhaseScope` in class `AbstractStepScope<Solution_>`

    - #### getStep

          public PartitionChangeMove<Solution_> getStep()

    - #### setStep

          public void setStep​(PartitionChangeMove<Solution_> step)

    - #### getStepString

          public String getStepString()

      Returns:
        null if logging level is to high

    - #### setStepString

          public void setStepString​(String stepString)